Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.arbaro.tree
Interface TreeGenerator

All Known Implementing Classes:
  ShieldedGUITreeGenerator, ShieldedTreeGenerator

    public interface TreeGenerator

Method Summary
`void` | `clearParams()` Clear all parameter values of the tree.
`AbstractParam` | `getParam(java.lang.String param)`
`java.util.TreeMap` | `getParamGroup(int level, java.lang.String group)` Returns a parameter group
`Params` | `getParams()`
`int` | `getSeed()`
`Tree` | `makeTree(Progress progress)`
`void` | `readParamsFromCfg(java.io.InputStream is)` Read parameter values from an Config style definition file
`void` | `readParamsFromXML(java.io.InputStream is)` Read parameter values from an XML definition file
`void` | `setParam(java.lang.String param, java.lang.String value)`
`void` | `setSeed(int seed)`
`void` | `writeParamsToXML(java.io.PrintWriter out)` Writes out the parameters to an XML definition file

Method Detail

### makeTree

    Tree makeTree(Progress progress)

### setSeed

    void setSeed(int seed)

### getSeed

    int getSeed()

### getParams

    Params getParams()

### setParam

    void setParam(java.lang.String param,
                  java.lang.String value)

### getParam

    AbstractParam getParam(java.lang.String param)

### getParamGroup

    java.util.TreeMap getParamGroup(int level,
                                    java.lang.String group)

  Returns a parameter group

  Parameters:
    `level` - The branch level (0..3)
    `group` - The parameter group name
  Returns:
    A hash table with the parameters

### writeParamsToXML

    void writeParamsToXML(java.io.PrintWriter out)

  Writes out the parameters to an XML definition file

  Parameters:
    `out` - The output stream
  Throws:
    `ParamException`

### clearParams

    void clearParams()

  Clear all parameter values of the tree.

### readParamsFromXML

    void readParamsFromXML(java.io.InputStream is)

  Read parameter values from an XML definition file

  Parameters:
    `is` - The input XML stream
  Throws:
    `ParamException`

### readParamsFromCfg

    void readParamsFromCfg(java.io.InputStream is)

  Read parameter values from an Config style definition file

  Parameters:
    `is` - The input text stream
  Throws:
    `ParamException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD